# Interface ResidueIdentifier

#### Hierarchy

- ResidueIdentifier

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:87

#####
Index

### Properties

asym_id
seq_id
struct_oper_id?

## Properties

### asym_id

asym_id: string

Chain identifier of this residue. In mmCIF terminology it corresponds to label_asym_id

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:91

### seq_id

seq_id: number

Sequence identifier of this residue. In mmCIF terminology it corresponds to label_seq_id

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:99

### `Optional` struct_oper_id

struct_oper_id?: string

Identifier of the assembly generating operation that was used to determine the coordinates of this residue. Chaining of operations is expressed by '1stx2nd'.

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:95

Generated using TypeDoc